Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ResultSet

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ResultSet

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ResultSetOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.ResultSet
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ResultSetOrBuilder

Protobuf type `xg.cmdcomp.ResultSet`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.ResultSet.Builder` | Protobuf type `xg.cmdcomp.ResultSet`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `BLOBLENGTHS_FIELD_NUMBER` |
`static int` | `BLOBS_FIELD_NUMBER` |
`static int` | `NUMPARTS_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`int` | `getBlobLengths​(int index)` | `repeated int32 blobLengths = 2;`
`int` | `getBlobLengthsCount()` | `repeated int32 blobLengths = 2;`
`List<Integer>` | `getBlobLengthsList()` | `repeated int32 blobLengths = 2;`
`com.google.protobuf.ByteString` | `getBlobs​(int index)` | `repeated bytes blobs = 3;`
`int` | `getBlobsCount()` | `repeated bytes blobs = 3;`
`List<com.google.protobuf.ByteString>` | `getBlobsList()` | `repeated bytes blobs = 3;`
`static ClientWireProtocol.ResultSet` | `getDefaultInstance()` |
`ClientWireProtocol.ResultSet` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`int` | `getNumParts()` | `int32 numParts = 1;`
`com.google.protobuf.Parser<ClientWireProtocol.ResultSet>` | `getParserForType()` |
`int` | `getSerializedSize()` |
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static ClientWireProtocol.ResultSet.Builder` | `newBuilder()` |
`static ClientWireProtocol.ResultSet.Builder` | `newBuilder​(ClientWireProtocol.ResultSet prototype)` |
`ClientWireProtocol.ResultSet.Builder` | `newBuilderForType()` |
`protected ClientWireProtocol.ResultSet.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
`static ClientWireProtocol.ResultSet` | `parseDelimitedFrom​(InputStream input)` |
`static ClientWireProtocol.ResultSet` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(byte[] data)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(InputStream input)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(ByteBuffer data)` |
`static ClientWireProtocol.ResultSet` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<ClientWireProtocol.ResultSet>` | `parser()` |
`ClientWireProtocol.ResultSet.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### NUMPARTS_FIELD_NUMBER

public static final int NUMPARTS_FIELD_NUMBER

See Also:
  Constant Field Values

### BLOBLENGTHS_FIELD_NUMBER

public static final int BLOBLENGTHS_FIELD_NUMBER

See Also:
  Constant Field Values

### BLOBS_FIELD_NUMBER

public static final int BLOBS_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### newInstance

protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getNumParts

public int getNumParts()
`int32 numParts = 1;`

Specified by:
  `getNumParts` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The numParts.

### getBlobLengthsList

public List<Integer> getBlobLengthsList()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobLengths.

### getBlobLengthsCount

public int getBlobLengthsCount()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobLengths.

### getBlobLengths

public int getBlobLengths​(int index)
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengths` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobLengths at the given index.

### getBlobsList

public List<com.google.protobuf.ByteString> getBlobsList()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobs.

### getBlobsCount

public int getBlobsCount()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobs.

### getBlobs

public com.google.protobuf.ByteString getBlobs​(int index)
`repeated bytes blobs = 3;`

Specified by:
  `getBlobs` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobs at the given index.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ResultSet parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ResultSet parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ResultSet parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ResultSet.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.ResultSet.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ResultSet.Builder newBuilder​(ClientWireProtocol.ResultSet prototype)

### toBuilder

public ClientWireProtocol.ResultSet.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.ResultSet.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ResultSet getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.ResultSet> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.ResultSet> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ResultSet getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`